[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [PATCH] add version queries and version checks (issue 1861)

From: Branko Čibej <brane_at_xbc.nu>
Date: 2004-07-06 00:24:12 CEST

Greg Hudson wrote:

>On Mon, 2004-07-05 at 02:01, Edmund Horner wrote:
>
>
>>However I have added svn_libname__version() functions
>>for the plugin libraries.
>>
>>
>
>Pointless and messy. Until such a time as the vtable work is done to
>make it possible to query an FS or RA module's version after loading it,
>don't add any symbols like this.
>
>(There's no urgency to doing this work, since the RA/FS ABI version will
>serve in the meantime.)
>
>
In fact, the RA ABI version has already been bumped for 1.1, I believe,
so it would be a really good idea at this point to deprecate the ABI
version and use the version checks instead. The FS loader's ABI version
hasn't appeared in any SVN release yet, so I'd vote for ditching it
completely in favour of version checks.

-- Brane

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Jul 6 00:34:12 2004

This is an archived mail posted to the Subversion Dev mailing list.